[Swift-commit] r5257 - trunk/tests/functions
wozniak at ci.uchicago.edu
wozniak at ci.uchicago.edu
Sat Oct 22 23:00:52 CDT 2011
Author: wozniak
Date: 2011-10-22 23:00:52 -0500 (Sat, 22 Oct 2011)
New Revision: 5257
Modified:
trunk/tests/functions/100-assert-bool.check.sh
trunk/tests/functions/100-assert-int.check.sh
trunk/tests/functions/105-assert-loop.check.sh
trunk/tests/functions/106-assert-iter.check.sh
trunk/tests/functions/201-sprintf-k.check.sh
trunk/tests/functions/202-sprintf-k-array.check.sh
trunk/tests/functions/450-tracef.check.sh
trunk/tests/functions/500-exists.check.sh
trunk/tests/functions/500-exists.swift
Log:
Tests: fixes to file naming and number formatting
Modified: trunk/tests/functions/100-assert-bool.check.sh
===================================================================
--- trunk/tests/functions/100-assert-bool.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/100-assert-bool.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,6 +2,6 @@
set -x
-grep ASSERT_MESSAGE stdout.txt || exit 1
+grep ASSERT_MESSAGE 100-assert-bool.stdout || exit 1
exit 0
Modified: trunk/tests/functions/100-assert-int.check.sh
===================================================================
--- trunk/tests/functions/100-assert-int.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/100-assert-int.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,6 +2,6 @@
set -x
-grep "assert failed" stdout.txt || exit 1
+grep "assert failed" 100-assert-int.stdout || exit 1
exit 0
Modified: trunk/tests/functions/105-assert-loop.check.sh
===================================================================
--- trunk/tests/functions/105-assert-loop.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/105-assert-loop.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,9 +2,9 @@
set -x
-grep I_IS_4 stdout.txt || exit 1
+grep I_IS_4 105-assert-loop.stdout || exit 1
-LINES=$( grep -c "i:" stdout.txt )
+LINES=$( grep -c "i:" 105-assert-loop.stdout )
[[ ${LINES} == 5 ]] || exit 1
exit 0
Modified: trunk/tests/functions/106-assert-iter.check.sh
===================================================================
--- trunk/tests/functions/106-assert-iter.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/106-assert-iter.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,9 +2,9 @@
set -x
-grep I_IS_4 stdout.txt || exit 1
+grep I_IS_4 106-assert-iter.stdout || exit 1
-LINES=$( grep -c "i:" stdout.txt )
+LINES=$( grep -c "i:" 106-assert-iter.stdout )
[[ ${LINES} == 5 ]] || exit 1
exit 0
Modified: trunk/tests/functions/201-sprintf-k.check.sh
===================================================================
--- trunk/tests/functions/201-sprintf-k.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/201-sprintf-k.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,12 +2,12 @@
set -x
-OUTPUT=$( cat stdout.txt )
+OUTPUT=$( cat 201-sprintf-k.stdout )
[[ $? == 0 ]] || exit 1
echo $OUTPUT grep "ready.*delayed"
[[ $? == 0 ]] || exit 1
-OUTPUT=$( grep delayed: stdout.txt | cut -d ' ' -f 2 )
+OUTPUT=$( grep delayed: 201-sprintf-k.stdout | cut -d ' ' -f 2 )
[[ $? == 0 ]] || exit 1
[[ ${OUTPUT[@]} == "4 6 8 10 12" ]] || exit 1
Modified: trunk/tests/functions/202-sprintf-k-array.check.sh
===================================================================
--- trunk/tests/functions/202-sprintf-k-array.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/202-sprintf-k-array.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -3,7 +3,7 @@
set -x
# Grab partial output
-OUTPUT=$( grep delayed: stdout.txt | head -4 | cut -d ' ' -f 2 )
+OUTPUT=$( grep delayed: 202-sprintf-k-array.stdout | head -4 | cut -d ' ' -f 2 )
[[ $? == 0 ]] || exit 1
# NOTE: we cannot guarantee that the "12" is before "array"
@@ -12,7 +12,7 @@
[[ ${OUTPUT[@]} == "4 6 8 10" ]] || exit 1
# Grab whole output
-OUTPUT=$( grep delayed: stdout.txt | cut -d ' ' -f 2 )
+OUTPUT=$( grep delayed: 202-sprintf-k-array.stdout | cut -d ' ' -f 2 )
# Output "10" is before "array"
echo ${OUTPUT[@]} | grep "10.*array"
Modified: trunk/tests/functions/450-tracef.check.sh
===================================================================
--- trunk/tests/functions/450-tracef.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/450-tracef.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,14 +2,14 @@
set -x
-grep "int:3:3" stdout.txt || exit 1
-grep "string:4:4" stdout.txt || exit 1
-grep "fraction:3.14" stdout.txt || exit 1
-grep "file:file:.*/test.txt" stdout.txt || exit 1
-grep "array:\[9.0,91.0,19.0\]" stdout.txt || exit 1
-grep "pointer:.*Closed" stdout.txt || exit 1
+grep "int:3:3" 450-tracef.stdout || exit 1
+grep "string:4:4" 450-tracef.stdout || exit 1
+grep "fraction:3.14" 450-tracef.stdout || exit 1
+grep "file:file:.*/test.txt" 450-tracef.stdout || exit 1
+grep "array:\[9,91,19\]" 450-tracef.stdout || exit 1
+grep "pointer:.*Closed" 450-tracef.stdout || exit 1
-[[ $( grep -c "WORD" stdout.txt ) == 2 ]] || exit 1
-[[ $( grep "WORD" stdout.txt | wc -w ) == 5 ]] || exit 1
+[[ $( grep -c "WORD" 450-tracef.stdout ) == 2 ]] || exit 1
+[[ $( grep "WORD" 450-tracef.stdout | wc -w ) == 5 ]] || exit 1
exit 0
Modified: trunk/tests/functions/500-exists.check.sh
===================================================================
--- trunk/tests/functions/500-exists.check.sh 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/500-exists.check.sh 2011-10-23 04:00:52 UTC (rev 5257)
@@ -2,7 +2,7 @@
set -x
-grep "file.txt: true" stdout.txt || exit 1
-grep "file-missing.txt: false" stdout.txt || exit 1
+grep "file.txt: true" 500-exists.stdout || exit 1
+grep "file-missing.txt: false" 500-exists.stdout || exit 1
exit 0
Modified: trunk/tests/functions/500-exists.swift
===================================================================
--- trunk/tests/functions/500-exists.swift 2011-10-23 02:06:35 UTC (rev 5256)
+++ trunk/tests/functions/500-exists.swift 2011-10-23 04:00:52 UTC (rev 5257)
@@ -7,5 +7,5 @@
b1 = @exists(s1);
b2 = @exists(s2);
-tracef("%s: %p\n%s: %p\n",
+tracef("%s: %b\n%s: %b\n",
s1, b1, s2, b2);
More information about the Swift-commit
mailing list